import { Injectable } from '@angular/core';
import { Subject, Observable } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class CommonPropertyService {

  private commonProperty = 0;

  private observableProperty = new Subject<number>();

  constructor() { }

  changeState() {
    this.commonProperty += 1;
    this.observableProperty.next(this.commonProperty);
  }

  getStateInfo(): number {
    return this.commonProperty;
  }

  getObservalbeProperty(): Observable<number> {
    return this.observableProperty.asObservable();
  }
}
